Package org.eclipse.birt.report.model.api.filterExtension.interfaces

# Interface IFilterExprDefinition

All Known Implementing Classes:
  `FilterExprDefinition`

public interface IFilterExprDefinition
IFilterExprDefinition

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BIRT_SUPPORT_ONLY`
Indicates this FilterExpreDefinition is BIRT supported only, not mapped to a ODA extension Filter definition.
`static final int`
`EXPR_MAPPING_SUPPORTED`
Indicates this FilterExpreDefinition is supported by both of ODA extension and BIRT predefined.
`static final int`
`EXTENSION_SUPPORT_ONLY`
Indicates this FilterExpreDefinition is ODA extension side supported only, not mapped to a BIRT predefined Filter definition.

## Method Summary

Modifier and Type
Method
Description
`int`
`expressionSupportedType()`
Returns the expression supported type of this FilterExprDefinition.
`String`
`getBirtFilterExprDisplayName()`
Return the corresponding BIRT predefined Filter expression operator display name.
`String`
`getBirtFilterExprDisplayName(com.ibm.icu.util.ULocale locale)`
Return the corresponding BIRT predefined Filter expression operator display name.
`String`
`getBirtFilterExprId()`
Returns the BIRT predefined filter expression operator internal name.
`String`
`getExtFilterDisplayName()`
Returns the display name of this Filter expression.
`String`
`getExtFilterExprId()`
Returns the ODA filter extension filter expression id if there is.
`Integer`
`getMaxArguments()`
Returns the number of arguments that this filter definition can maximize supported.
`Integer`
`getMinArguments()`
Returns the min arguments required by this filter expression definition.
`String`
`getProviderExtensionId()`
Returns the ODA filter extension provider ID if there is.
`boolean`
`isNegatedExtExprId()`
Indicates whether the expression is mapped to the negated data base expression, i.e.
`boolean`
`supportsAPIDataType(int apiDataType)`
Indicates whether the given API type is supported by this filter operator.
`boolean`
`supportsUnboundedMaxArguments()`
Indicates if this filter definition support unbounded max arguments.

## Field Details

### BIRT_SUPPORT_ONLY

static final int BIRT_SUPPORT_ONLY
Indicates this FilterExpreDefinition is BIRT supported only, not mapped to a ODA extension Filter definition.

See Also:
  - Constant Field Values

### EXTENSION_SUPPORT_ONLY

static final int EXTENSION_SUPPORT_ONLY
Indicates this FilterExpreDefinition is ODA extension side supported only, not mapped to a BIRT predefined Filter definition.

See Also:
  - Constant Field Values

### EXPR_MAPPING_SUPPORTED

static final int EXPR_MAPPING_SUPPORTED
Indicates this FilterExpreDefinition is supported by both of ODA extension and BIRT predefined.

See Also:
  - Constant Field Values

## Method Details

### expressionSupportedType

int expressionSupportedType()
Returns the expression supported type of this FilterExprDefinition. The returned type could be:

- BIRT_SUPPORT_ONLY
- EXTENSION_SUPPORT_ONLY
- EXPR_MAPPING_SUPPORTED

Returns:
  the expression supported type.

### getBirtFilterExprDisplayName

String getBirtFilterExprDisplayName()
Return the corresponding BIRT predefined Filter expression operator display name.

Returns:
  BIRT predefined filter operator name, if there is. Null, if there is no mapped one.

### getBirtFilterExprDisplayName

String getBirtFilterExprDisplayName(com.ibm.icu.util.ULocale locale)
Return the corresponding BIRT predefined Filter expression operator display name.

Returns:
  BIRT predefined filter operator name, if there is. Null, if there is no mapped one.

### getBirtFilterExprId

String getBirtFilterExprId()
Returns the BIRT predefined filter expression operator internal name.

Returns:
  BIRT predefined filter operator internal name, if there is. Return Null if this definition is not mapped to a BIRT predefined filter expression.

### getProviderExtensionId

String getProviderExtensionId()
Returns the ODA filter extension provider ID if there is.

Returns:
  ODA filter extension provider ID, if there is. Null, if there is no ODA extension filter applicable.

### getExtFilterExprId

String getExtFilterExprId()
Returns the ODA filter extension filter expression id if there is.

Returns:
  ODA extension filter expression id if there is. Null, if not applicable.

### getExtFilterDisplayName

String getExtFilterDisplayName()
Returns the display name of this Filter expression.

Returns:
  display name of the filter expression.

### getMinArguments

Integer getMinArguments()
Returns the min arguments required by this filter expression definition.

Returns:
  the min number of arguments that required by this filter definition.

### supportsUnboundedMaxArguments

boolean supportsUnboundedMaxArguments()
Indicates if this filter definition support unbounded max arguments.

Returns:
  true if it supported unbounded max arguments, false, if it does not support.

### getMaxArguments

Integer getMaxArguments()
Returns the number of arguments that this filter definition can maximize supported.

Returns:
  the maximal number of arguments.

### isNegatedExtExprId

boolean isNegatedExtExprId()
Indicates whether the expression is mapped to the negated data base expression, i.e. the database expression should be nested within a NotExpression.

One example is that: the database may use eq and negated eq to represent BIRT EQ and NE.

Returns:
  `true` if mapped to a negated provider expression; `false` otherwise.

### supportsAPIDataType

boolean supportsAPIDataType(int apiDataType)
Indicates whether the given API type is supported by this filter operator.

Parameters:
  `apiDataType` - the api data type
Returns:
  `true` if it is supported. Otherwise, `false`.